%define upstream_name    MooseX-YAML
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    DWIM loading of Moose objects from YAML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(MooseX::Blessed::Reconstruct)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(YAML)
BuildRequires: perl(namespace::clean)
BuildArch: noarch


%description
This module provides DWIM loading of the Moose manpage based objects from
YAML documents.

Any hashes blessed into a the Moose manpage class will be replaced with a
properly constructed instance (respecting init args, 'BUILDALL', and the
meta instance type).

This is similar to the YAML::Active manpage in that certain nodes in the
loaded YAML documented are treated specially.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.40.0-9pclos2017
- rebuild against updates

